#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%define		pdir	Crypt
%define		pnam	Twofish
Summary:	Crypt::Twofish Perl module - the Twofish encryption algorithm
Summary(pl.UTF-8):	Moduł Perla Crypt::Twofish - algorytm szyfrowania Twofish
Name:		perl-Crypt-Twofish
Version:	2.17
Release:	6
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bb6e7ec9ff6db6aea27dce7175a852e2
Patch0:		no-dot-in-inc.patch
URL:		http://search.cpan.org/dist/Crypt-Twofish/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements Twofish encryption. It supports the Crypt::CBC
interface. Twofish is a 128-bit symmetric block cipher with a variable
length (128, 192, or 256-bit) key, developed by Counterpane Labs. It
is unpatented and free for all uses, as described at
<http://www.counterpane.com/twofish.html>.

%description -l pl.UTF-8
Ten moduł jest implementacją szyfrowania Twofish. Obsługuje interfejs
Crypt::CBC. Twofish jest 128-bitowym symetrycznym szyfrem blokowym ze
zmienną długością klucza (128, 192 lub 256 bitów), opracowanym przez
Counterpane Labs. Nie jest opatentowany i można go swobodnie używać
do dowolnych celów, zgodnie z opisem pod adresem
<http://www.counterpane.com/twofish.html>.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Twofish.pm
%dir %{perl_vendorarch}/auto/Crypt/Twofish
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Twofish/*.so
%{_mandir}/man3/*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-Twofish.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> f2865b1
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 115b4ce
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> e417ada
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 48fa8e1
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> e37378c
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 845a704
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> 2515132
- updated to 2.17

* Thu Jun 22 2017 Jan Rękorajski <baggins@pld-linux.org> b81467d
- fix building with perl 5.26
- rel 10

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 8676361
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4cbcfd3
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 12544f7
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 5a7a799
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> b77c039
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 3e21349
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 10f8eed
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 7e7be4b
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 9cfd51f
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> eea2825
- up to 2.14

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> b30be56
- rel 4

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 6eaccc3
- release 3

